Subject: [Lsr] Question about OSPF (transit area routing loop)

From: Sergey SHpenkov <[email-masked]>
Date: Mon, 24 Feb 2020 02:37:19 +0300

Hi,

In section 16.3 of the OSPF RFC 2328 standard, it is stated that all ABR
routers
connected to a transit area are required to check the sumLSA contained
within
this area in order to possibly improve the intra-area and inter-area
backbone routes
for themselves.

See the picture:
The RT_1 and ABR_3 routers will use different paths to the ASBR router:

ABR_3 -> RT_1 -> ABR_1 -> ASBR = cost 3
RT_1 -> ABR_3 -> ABR_2 -> ASBR = cost 21

route loop between RT_1 and ABR_3

Please explain this situation

Thanks,
Sergey

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 25 Feb 2020 19:44:41 +0000

Hi Sergey,
I don’t see why RT_1 wouldn’t go through ABR_1 to get to the ASBR.
Thanks,
Acee

From: Lsr <[email-masked]> on behalf of Sergey SHpenkov <[email-masked]>
Date: Tuesday, February 25, 2020 at 2:38 PM
To: "[email-masked]" <[email-masked]>
Subject: [Lsr] Question about OSPF (transit area routing loop)

Hi,
In section 16.3 of the OSPF RFC 2328 standard, it is stated that all ABR routers
connected to a transit area are required to check the sumLSA contained within
this area in order to possibly improve the intra-area and inter-area backbone routes
for themselves.

See the picture:

Thanks,
Sergey

---

From: Sergey SHpenkov <[email-masked]>
Date: Wed, 26 Feb 2020 10:19:35 +0300

Acee,

Because ABR_1 creates SumLSA-4 for the ASBR not from the backbone area. The
cost of SumLSA-4 for ASBR is 300.

Thanks,
Sergey

вт, 25 февр. 2020 г. в 22:44, Acee Lindem (acee) <[email-masked]>:

> *From: *Lsr <[email-masked]> on behalf of Sergey SHpenkov <
> [email-masked]>
> *Date: *Tuesday, February 25, 2020 at 2:38 PM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[Lsr] Question about OSPF (transit area routing loop)
>
>
>
> Hi,
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 27 Feb 2020 16:54:35 +0000

Hi Sergey,

Have you reproduced the loop with routers? I definitely agree that ABR_1 will prefer the path to the ASBR through area 100. I think there is some ambiguity as to the cost it uses in its ASBR-Summary LSA injected into area 200.

Thanks,
Acee

From: Lsr <[email-masked]> on behalf of Sergey SHpenkov <[email-masked]>
Date: Wednesday, February 26, 2020 at 2:22 AM
To: "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] Question about OSPF (transit area routing loop)

Acee,

Because ABR_1 creates SumLSA-4 for the ASBR not from the backbone area. The cost of SumLSA-4 for ASBR is 300.

Thanks,
Sergey

вт, 25 февр. 2020 г. в 22:44, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>:
Hi Sergey,
I don’t see why RT_1 wouldn’t go through ABR_1 to get to the ASBR.
Thanks,
Acee

From: Lsr <[email-masked]<mailto:[email-masked]>> on behalf of Sergey SHpenkov <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, February 25, 2020 at 2:38 PM
To: "lsr@ietf..org<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Lsr] Question about OSPF (transit area routing loop)

Hi,

See the picture:

Thanks,
Sergey

---

From: Sergey SHpenkov <[email-masked]>
Date: Thu, 27 Feb 2020 20:44:36 +0300

Hi Acee,

Yes, I was able to reproduce the loop

Thanks,
Sergey

чт, 27 февр. 2020 г. в 19:54, Acee Lindem (acee) <[email-masked]>:

> Hi Sergey,
>
>
>
> Have you reproduced the loop with routers? I definitely agree that ABR_1
> will prefer the path to the ASBR through area 100. I think there is some
> ambiguity as to the cost it uses in its ASBR-Summary LSA injected into area
> 200.
>
>
>
> Thanks,
>
> Acee
>
>
>
> *Date: *Wednesday, February 26, 2020 at 2:22 AM
> *Subject: *Re: [Lsr] Question about OSPF (transit area routing loop)
>
>
>
> Acee,
>
>
>
> Because ABR_1 creates SumLSA-4 for the ASBR not from the backbone
> area. The cost of SumLSA-4 for ASBR is 300.
>
>
>
> Thanks,
>
> Sergey
>
>
>
> *To: *"lsr@ietf..org <[email-masked]>" <[email-masked]>